2017-12-31 45 views
0

official docker hub image을 사용하여 Aerospike 컨테이너를 배치했습니다. 나는 Aerospike 로그를 보면서이 코드가 실행될 때마다, 오류가 아래에 인쇄됩니다 것을 발견Aerospike 도커 - 100L, 'UDF : 실행 오류 1

exception.UDFError: (100L, 'UDF: Execution Error 1', 'src/main/llist/llist_operations.c', 93) 

: 나는 test_list = client.llist(key, 'test_list')을 실행하려고 할 때, 내 Python 클라이언트 스크립트는 다음 오류를 반환

: WARNING (udf): (src/main/mod_lua.c:599) Lua Create Error: module 'llist' not found: 
    no field package.preload['llist'] 
    no file './llist.lua' 
    no file '/usr/local/share/luajit-2.0.3/llist.lua' 
    no file '/usr/local/share/lua/5.1/llist.lua' 
    no file '/usr/local/share/lua/5.1/llist/init.lua' 
    no file '/opt/aerospike/sys/udf/lua/llist.lua' 
    no file '/opt/aerospike/sys/udf/lua/external/llist.lua' 
    no file '/opt/aerospike/usr/udf/lua/llist.lua' 
    no file './llist.so' 
    no file '/usr/local/lib/lua/5.1/llist.so' 
    no file '/usr/local/lib/lua/5.1/loadall.so' 
    no file '/opt/aerospike/sys/udf/lua/llist.so' 
    no file '/opt/aerospike/sys/udf/lua/external/llist.so' 
    no file '/opt/aerospike/usr/udf/lua/llist.so' 
: INFO (udf): (udf.c:954) lua error, ret:1 

관련 lua 파일이나 컨테이너에 lua 설치를 찾을 수 없습니다. 내가 직접 호스트에서 그것을 실행할 때 내 코드가 잘 작동합니다. 컨테이너에 필요한 추가 구성이 있습니까?

+1

사용하는 Aerospike의 버전? –

답변

3

LDT는 3.15로 떨어졌다.

https://www.aerospike.com/docs/guide/ldt_guide.html

발췌 :

Aerospike has removed the Large Data Type feature as of server version 3.15 after deprecating this functionality 12 months earlier. Please see the removal notice and deprecation notice. The features listed below are no longer in Aerospike servers.